# Uses of Class
org.apache.lucene.search.FieldComparatorSource

Packages that use FieldComparatorSource
Package
Description
org.apache.lucene.search
Code to search indices.

- ## Uses of FieldComparatorSource in org.apache.lucene.search

  Methods in org.apache.lucene.search that return FieldComparatorSource
  Modifier and Type
  Method
  Description
  `FieldComparatorSource`
  SortField.`getComparatorSource()`
  Returns the `FieldComparatorSource` used for custom sorting
  Constructors in org.apache.lucene.search with parameters of type FieldComparatorSource
  Modifier
  Constructor
  Description
  ``
  `SortField(String field, FieldComparatorSource comparator)`
  Creates a sort with a custom comparison function.
  ``
  `SortField(String field, FieldComparatorSource comparator, boolean reverse)`
  Creates a sort, possibly in reverse, with a custom comparison function.